%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           adonthell
Version:        0.3.5
Release:        0.9%{?dist}
Summary:        A 2D graphical RPG game

Group:          Amusements/Games
License:        GPLv2+
URL:            http://adonthell.linuxgames.com/
Source0:        http://savannah.nongnu.org/download/%{name}/%{name}-src-%{version}.tar.gz
## Submitted upstream, will be in next release
# https://savannah.nongnu.org/bugs/index.php?25737
Patch0:         %{name}-gcc44.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  freetype-devel
BuildRequires:  libxml2-devel
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  SDL_ttf-devel
BuildRequires:  libpng-devel
BuildRequires:  swig
BuildRequires:  doxygen
BuildRequires:  graphviz


%description
A 2D, graphical, single player role playing game inspired by good old
console RPGs from the 16 bit console gaming era.

This package contains the Adonthell engine. You will also need a game
package to play Adonthell. For this release, the official package is
Waste's Edge.


%package doc
Summary:        API documentation for %{name}

Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
API documentation for %{name} generated by doxygen in HTML format.


%prep
%setup -q
# install locale files in the right place
sed -i 's|myconfig.gamedir + "/locale"|"%{_datadir}/locale"|' src/nls.cc
# remove hardcoded CFLAGS
sed -i 's|^CFLAGS|^#CFLAGS|g' configure
# build with GCC 4.4
%patch0 -p0


%build
%configure --enable-doc
make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING FULLSCREEN.howto NEWBIE NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}-0.3
%{_datadir}/%{name}/

%files doc
%defattr(-,root,root,-)
%doc doc/devel/html


%changelog
* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.5-0.9
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Aug 11 2009 Mathieu Bridon <bochecha@fedoraproject.org> - 0.3.5-0.8
- Upstream changed source URL.
- Added defattr for -doc subpackage.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-0.7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 01 2009 Mathieu Bridon <bochecha@fedoraproject.org> - 0.3.5-0.6
- Fixed building with GCC 4.4

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-0.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.5-0.4
- Rebuild for Python 2.6

* Tue Jun 03 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.5-0.3
- added -p option to install

* Sat May 31 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.5-0.2
- applied patch to configure instead of configure.in
- removed trademarks names from description
- removed explicit requires

* Tue May 27 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.5-0.1
- switched to 0.3.5 release (includes bug fixes and fixes for building RPM for
  fedora like pythin finding and errors with fedora specific flags)

* Fri May 22 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.8
- fixed license tag (GPLv2 to GPLv2+)
- removed explicit requires
- fixed directories ownership

* Thu Apr 17 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.7
- fixed building on 64 bits arch (/lib was hard coded in configure.in)

* Fri Apr 04 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.6
- fixed typo in doc description

* Fri Feb 22 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.5
- search for translations in the right place so that wastesedge
package can install them in the right place

* Thu Feb 21 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.4
- separated the doc in a dedicated package

* Thu Feb 21 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.3
- cleaned the spec file again

* Thu Feb 21 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.2
- cleaned the spec file

* Mon Feb 18 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.1
- first version of the SPEC file
